execute as @a[tag=!skokay4] run function bd_staff:set_scores
execute as @e[type=#bd_staff:staff_user,predicate=bd_staff:use] at @s run function bd_staff:use
execute as @e[type=marker,tag=nec] at @s run function bd_staff:nec_staff/pmain
execute as @e[type=marker,tag=nam] at @s run function bd_staff:nam_staff/pmain
execute as @e[type=marker,tag=dro] at @s run function bd_staff:dro_staff/pmain
execute as @e[type=marker,tag=cs] at @s run function bd_staff:cc/cs_main
execute as @e[type=marker,tag=ssp] at @s run function bd_staff:cc/ssp_main
execute as @e[type=block_display,tag=web] at @s run function bd_staff:spider_queen/web_main
execute as @e[type=block_display,tag=but] at @s run function bd_staff:butterfly_net/main_but
execute as @e[type=spider,tag=alpha_spider] at @s run function bd_staff:spider_queen/main_alpha
execute as @e[type=slime,tag=cc] at @s run function bd_staff:cc/main
execute as @e[type=slime,tag=cs] at @s run function bd_staff:cc/ss_main
execute as @e[type=marker,tag=qdc] at @s unless entity @e[type=spider,tag=spider_queen,distance=..4] run function bd_staff:spider_queen/is_killed
execute as @e[type=marker,tag=cdc] at @s unless entity @e[type=slime,tag=cc,distance=..4] run function bd_staff:cc/is_killed
execute as @e[type=marker,tag=no] at @s unless entity @e[type=skeleton,tag=nameless_one,distance=..4] run function bd_staff:nam_staff/is_killed
execute as @e[type=marker,tag=nm] at @s unless entity @e[type=skeleton,tag=necromancer,distance=..4] run function bd_staff:nec_staff/is_killed
execute as @e[type=marker,tag=dn] at @s unless entity @e[type=drowned,tag=drowned_necromancer,distance=..4] run function bd_staff:dro_staff/is_killed
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.nec_cooldown=2..}] at @s run scoreboard players remove @s sk.nec_cooldown 1
execute as @e[type=#bd_staff:minions,scores={sk.nec_cooldown_2=2..}] at @s run scoreboard players remove @s sk.nec_cooldown_2 1
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.nam_cooldown=2..}] at @s run scoreboard players remove @s sk.nam_cooldown 1
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.nam_cooldown_2=2..}] at @s run scoreboard players remove @s sk.nam_cooldown_2 1
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.dro_cooldown=2..}] at @s run scoreboard players remove @s sk.dro_cooldown 1
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.dro_cooldown_2=2..}] at @s run scoreboard players remove @s sk.dro_cooldown_2 1
execute as @e[type=#bd_staff:staff_user_and_zombie,scores={sk.but_c=2..}] at @s run scoreboard players remove @s sk.but_c 1
execute as @e[type=spider,tag=sk.boss,scores={sk.bosstime=1}] at @s if predicate bd_staff:spawn_alpha run function bd_staff:spider_queen/summon_alpha
execute as @e[type=#bd_staff:bosses,tag=sk.boss] at @s if entity @a[distance=..25,gamemode=!creative,gamemode=!spectator] run scoreboard players set @s sk.bosstime 1
execute as @e[type=#bd_staff:bosses,tag=sk.boss] at @s unless entity @a[distance=..25,gamemode=!creative,gamemode=!spectator] run scoreboard players set @s sk.bosstime 2
execute as @e[type=#bd_staff:staff_user] if items entity @s weapon.mainhand minecraft:warped_fungus_on_a_stick[custom_data~{staff:necromancer}] run item modify entity @s weapon.mainhand bd_staff:update_necromancer
execute as @e[type=#bd_staff:staff_user] if items entity @s weapon.mainhand minecraft:warped_fungus_on_a_stick[custom_data~{staff:nameless}] run item modify entity @s weapon.mainhand bd_staff:update_nameless
execute as @e[type=#bd_staff:staff_user] if items entity @s weapon.mainhand minecraft:warped_fungus_on_a_stick[custom_data~{staff:drowned}] run item modify entity @s weapon.mainhand bd_staff:update_drowned
execute as @e at @s on attacker if items entity @s weapon.mainhand minecraft:warped_fungus_on_a_stick[custom_data~{staff:nameless}] store result storage temp_data uuid int 1 run scoreboard players get @s uuid
execute as @e at @s on attacker if items entity @s weapon.mainhand minecraft:warped_fungus_on_a_stick[custom_data~{staff:nameless}] run function bd_staff:nam_staff/minion_target with storage temp_data
execute as @e[type=#bd_staff:minions,tag=minion] at @s if score @s sk.nam_cooldown matches 0..1 run function bd_staff:nam_staff/kill_minion
execute as @e[type=item,nbt={Item:{id:"minecraft:skeleton_skull"}}] at @s if block ~ ~-0.5 ~ soul_campfire run function bd_staff:summon/nameless
execute as @e[type=armor_stand,tag=spider_egg] at @s run function bd_staff:spider_egg/main
#execute as @a[scores={sk.set_cauldron=1..}] at @s run function bd_staff:cc/detect_cauldron
execute as @e[type=item,nbt={Item:{id:"minecraft:ender_eye"}}] at @s if block ~ ~ ~ water_cauldron run function bd_staff:cc/detect_cauldron
execute as @a[scores={place_as=1..}] if items entity @s weapon.mainhand armor_stand[minecraft:custom_model_data=1] at @s as @n[type=armor_stand] at @s run function bd_staff:spider_egg/place
scoreboard players set @a[scores={place_as=1..}] place_as 0
scoreboard players add BCL place_as 1
execute if score BCL place_as matches 10.. run scoreboard players set BCL place_as 0
#
schedule function bd_staff:main 1t